package br.com.bfisica.test;

import java.util.ArrayList;
import java.util.List;

import br.com.bfisica.dao.PersonDAO;
import br.com.bfisica.dao.sql.PersonDAOSql;
import br.com.bfisica.entity.Person;

public class TestSqlDao {
	
	private static PersonDAO dao = new PersonDAOSql();
	
	public static void execute(){
		
	}
	
	public static void listPersons(){
		List<Person> persons = new ArrayList<Person>();
		persons = dao.getPersons();
		for (Person p : persons){
			System.out.println(p.getId() +"\t" + p.getNome());
		}
	}
	
	public static void getPersonByID(){
		Person person = dao.getPersonByID(3);
		System.out.println(person.getId() +"\t" + person.getNome());
	}
	
	public static void save(){
		Person person = new Person();
		person.setId(3);
		person.setName("Lara Oliveira Boschetti");
		dao.save(person);
	}
	
	public static void save(int id, String name){
		Person person = new Person();
		person.setId(id);
		person.setName(name);
		dao.save(person);
	}
	
	public static void delete(int id, String name){
		Person person = new Person();
		person.setId(id);
		person.setName(name);
		dao.delete(person);
		System.out.println("Peron with id=" + person.getId() + " deleted.");
	}
	
	public static void delete(int id){
		dao.delete(id);
		System.out.println("Peron with id=" + id + " deleted.");
	}

}
