package br.com.bfisica.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class MyProperties {

	private static MyProperties instance = null; 
	private static Properties props = null;
	
	private File file = null;
	//private FileInputStream fis = null;
	private InputStream fis = null;

	private MyProperties() {
		fis = this.getClass().getClassLoader().getResourceAsStream("db.properties");
//		file = new FileInputStream(is);
		try {  
		    //this.fis = new FileInputStream(file); 
		    props = new Properties();
		    props.load(fis);
		    fis.close();
		}  
		catch (IOException ex) {  
		    System.out.println(ex.getMessage());  
		    ex.printStackTrace();  
		}
	}
	
	public static MyProperties getInstance(){
		if (instance == null) {
			instance = new MyProperties();
			return instance;
		} else {
			return instance;
		}
	}
	
	public Properties getProperties(){
		return props;
	}
	
}
