package br.com.bfisica.dao.hibernate;

import java.util.List;

import org.hibernate.Session;
import org.hibernate.Transaction;

import br.com.bfisica.dao.PersonDAO;
import br.com.bfisica.entity.Person;
import br.com.bfisica.util.HibernateUtil;

public class PersonDAOHibernate implements PersonDAO {
	
	private Session session = null;
	
	public PersonDAOHibernate() {
		this.session = HibernateUtil.getInstance().getSession();
	}

	//@Override
	public void save(Person person) {
		Transaction tx = session.beginTransaction();
		this.session.save(person);
		tx.commit();
	}
	
	//@Override
	public void delete(Person person) {
		Transaction tx = session.beginTransaction();
		this.session.delete(person);
		tx.commit();
	}
	
	//@Override
	public void delete(int id) {
		Transaction tx = session.beginTransaction();
		Person person = new Person();
		person.setId(id);
		this.session.delete(person);
		tx.commit();
	}

	//@Override
	public Person getPersonByID(int id) {
		Person person;
		//person.setId(id);
		Transaction tx = session.beginTransaction();
//		person = (Person) this.session.load(Person.class, id);
		person = (Person) this.session.get(Person.class, id);
		tx.commit();
		return person;
	}

	//@Override
	public List<Person> getPersons() {

		return null;
	}

}
