package br.com.bfisica.test;

import org.springframework.context.annotation.AnnotationConfigApplicationContext;

import br.com.bfisica.controller.PersonController;
import br.com.bfisica.dao.PersonDAO;
import br.com.bfisica.dao.hibernate.PersonDAOHibernate;
import br.com.bfisica.entity.Person;
import br.com.bfisica.util.SpringSrBConfig;

public class TestSpringConfigurationClass {
	
	public static void execute(){
		AnnotationConfigApplicationContext ctx = new AnnotationConfigApplicationContext(SpringSrBConfig.class);
		PersonController personController = ctx.getBean(PersonController.class);
		Person person = personController.getPersonByID(3);
		System.out.println(person.getNome());
	}

}
