package br.com.bfisica.test;

import org.hibernate.Session;
import org.hibernate.Transaction;

import br.com.bfisica.entity.Person;
import br.com.bfisica.util.HibernateUtil;

public class TestUsingSessionFactoryDirectly {
	
	public static void delete(int id) {
		Session session = HibernateUtil.getInstance().getSession();
		Transaction tx = (Transaction) session.beginTransaction();
		Person person = new Person();
		person.setId(id);
		session.delete(person);
		tx.commit();
	}
	
	public static void save(int id, String name) {
		Session session = HibernateUtil.getInstance().getSession();
		Transaction tx = session.beginTransaction();
		Person person = new Person();
		person.setId(id);
		person.setName(name);
		session.save(person);
		tx.commit();
	}

}